/*
 * Subverse
 * Copyright (C) 2009 Saulo Popov Zambiasi
 *
 * Subverse is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Subverse is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Contact: saulopz@gmail.com
 */

#ifndef CONFIG_H_
#define CONFIG_H_

#define MAX_X 800
#define MAX_Y 600
#define VMODE GFX_AUTODETECT_WINDOWED
#define VMODE_FULL GFX_AUTODETECT
#define SOUND_CARD DIGI_AUTODETECT
#define MIDI_CARD MIDI_AUTODETECT

#define CELL_SIZE		50

#define MAX_MESSAGES   30

#define DOWN		0
#define RIGHT		2
#define UP			4
#define LEFT		6
#define DOWN_RIGHT  8
#define DOWN_LEFT   10
#define UP_RIGHT    12
#define UP_LEFT     14

#define FRONT		1
#define BACK		3
#define FRONT_RIGHT	9
#define FRONT_LEFT	11
#define BACK_RIGHT	13
#define BACK_LEFT	15

#define VOID		0

#define AVATAR		1
#define CYCLOPE		2
#define FIRE		3
#define TREE		4
#define SPIDER		5

#define ADOBE		100
#define LITTLELAWN	101
#define GROUND		102
#define ROCKS		103
#define LAWN		104

#define WALL		200

#define WATER		300

#define NONE	-1
#define LAND	 0
#define ELEMENT	 1
#define WORLD	 3

#define IMAGES_DIR	"images"

using namespace std;

#endif /*CONFIG_H_*/
