/*
 * Subverse
 * Copyright (C) 2009 Saulo Popov Zambiasi
 *
 * Subverse is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Subverse is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Contact: saulopz@gmail.com
 */

#ifndef TIMER_H_
#define TIMER_H_

#include <string>
#include "Utils.h"

using namespace std;

class Timer {
	int year;
	int month;
	int day;
	int hour;
	int minute;
	int secound;
public:
	Timer();
	void inc();
	string toString();
	long valueOf();
	void reset();
	void setYear(int);
	void setMonth(int);
	void setDay(int);
	void setHour(int);
	void setMinute(int);
	void setSecound(int);
	int getYear();
	int getMonth();
	int getDay();
	int getHour();
	int getMinute();
	int getSecound();
	virtual ~Timer();
};

#endif /*TIMER_H_*/
