/*
 * Subverse
 * Copyright (C) 2009 Saulo Popov Zambiasi
 *
 * Subverse is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * Subverse is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Contact: saulopz@gmail.com
 */

#ifndef VISION_H_
#define VISION_H_

#include <vector>
#include "Config.h"
#include "Element.h"

class Element;

class Vision {
    unsigned int indexElement;
    unsigned int indexLand;
	vector<Element*> element;
	vector<Element*> land;
public:
	Vision();
	Element* getNext(int);
	void reset(int);
	void add(Element*, int);
	bool contains(Element* e, int type);
	virtual ~Vision();
};

#endif /*VISION_H_*/
